/// isOnLeft();
//
// @return On Left => true
if(keyboard_check(vk_left))
{
  return true;
}
if(keyboard_check(ord('A')))
{
  return true;
}
// game pad.
for(var i = 0; i < gamepad_get_device_count(); i++)
{
  if(gamepad_is_connected(i) == false) { continue; }
  if(gamepad_button_check(i, gp_padl))
  {
    return true;
  }
}
// windows only.
for(var i = 1; i < 3; i++)
{
  if(joystick_exists(i) == false) { continue; }
  var onDir = joystick_direction(i);
  switch(onDir)
  {
  case vk_numpad4:
  case vk_numpad1:
  case vk_numpad7: 
    return true;
  default:
    break;
  }
}
// Not on left.
return false;
