/// isOnUp();
//
// @return On Up => true
if(keyboard_check(vk_up))
{
  return true;
}
if(keyboard_check(ord('W')))
{
  return true;
}
// game pad.
for(var i = 0; i < gamepad_get_device_count(); i++)
{
  if(gamepad_is_connected(i) == false) { continue; }
  if(gamepad_button_check(i, gp_padu))
  {
    return true;
  }
}
// windows only.
for(var i = 1; i < 3; i++)
{
  if(joystick_exists(i) == false) { continue; }
  var onDir = joystick_direction(i);
  switch(onDir)
  {
  case vk_numpad7:
  case vk_numpad8:
  case vk_numpad9: 
    return true;
  default:
    break;
  }
}
// Not on up.
return false;
