/// isOnDown();
//
// @return On Down => true
if(keyboard_check(vk_down))
{
  return true;
}
if(keyboard_check(ord('S')))
{
  return true;
}
// game pad.
for(var i = 0; i < gamepad_get_device_count(); i++)
{
  if(gamepad_is_connected(i) == false) { continue; }
  if(gamepad_button_check(i, gp_padd))
  {
    return true;
  }
}
// windows only.
for(var i = 1; i < 3; i++)
{
  if(joystick_exists(i) == false) { continue; }
  var onDir = joystick_direction(i);
  switch(onDir)
  {
  case vk_numpad1:
  case vk_numpad2:
  case vk_numpad3: 
    return true;
  default:
    break;
  }
}
// Not on down.
return false;
