/// isOnMenu();
//
// @return Boolean On Menu.
if(keyboard_check(ord('C')))
{
  return true;
}
if(keyboard_check(vk_shift))
{
  return true;
}
// game pad for windows only.
for(var i = 1; i < 3; i++)
{
  if(joystick_exists(i) == false) { continue; }
  if(joystick_check_button(i, 3))
  {
    return true;
  }
}
// game pad.
for(var i = 0; i < gamepad_get_device_count(); i++)
{
  if(gamepad_is_connected(i) == false) { continue; }
  if(gamepad_button_check(i, gp_face3))
  {
    return true;
  }
}
// mouse
if(mouse_check_button(mb_middle))
{
  return true;
}
// Not press enter.
return false;
